curl --request POST \
--url https://api.myscalev.com/v3/shipping-costs/search-courier-service \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location_id": 123,
"payment_method": "va",
"store_id": 123,
"warehouse_id": 123,
"weight": 123,
"is_show_all": true,
"postal_code": "<string>"
}
'{
"data": [
{
"cost": 123,
"cost_source": "<string>",
"courier_service": {
"code": "<string>",
"courier": {
"code": "<string>",
"courier_type": "standard",
"id": 123,
"name": "<string>"
},
"id": 123,
"name": "<string>"
},
"etd": "<string>",
"is_cod": true,
"is_pickup": true,
"shipment_provider_code": "<string>",
"warehouse": {
"address": "<string>",
"city_name": "<string>",
"id": 123,
"lincah_origin_id": "<string>",
"mengantar_origin_id": "<string>",
"name": "<string>",
"province_name": "<string>",
"subdistrict_name": "<string>",
"unique_id": "<string>"
},
"weight": 123
}
],
"is_paginated": false
}Requires the order:create machine scope. Retrieve available courier services based on warehouse, destination, payment method, and package weight.
curl --request POST \
--url https://api.myscalev.com/v3/shipping-costs/search-courier-service \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location_id": 123,
"payment_method": "va",
"store_id": 123,
"warehouse_id": 123,
"weight": 123,
"is_show_all": true,
"postal_code": "<string>"
}
'{
"data": [
{
"cost": 123,
"cost_source": "<string>",
"courier_service": {
"code": "<string>",
"courier": {
"code": "<string>",
"courier_type": "standard",
"id": 123,
"name": "<string>"
},
"id": 123,
"name": "<string>"
},
"etd": "<string>",
"is_cod": true,
"is_pickup": true,
"shipment_provider_code": "<string>",
"warehouse": {
"address": "<string>",
"city_name": "<string>",
"id": 123,
"lincah_origin_id": "<string>",
"mengantar_origin_id": "<string>",
"name": "<string>",
"province_name": "<string>",
"subdistrict_name": "<string>",
"unique_id": "<string>"
},
"weight": 123
}
],
"is_paginated": false
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Search courier services request
Schema for requesting courier services
ID of the destination location
Order payment method
va, qris, card, invoice, alfamart, indomaret, ovo, dana, shopeepay, linkaja, gopay, no_payment, bank_transfer, marketplace, cod ID of the store
ID of the warehouse
Weight of the shipment in grams
Whether to show all courier services or only those available
Postal code of the destination